#ifndef TWN_WORKERS_C_H
#define TWN_WORKERS_C_H

#include <SDL2/SDL.h>

#include <stdbool.h>

#define MAX_WORKERS 9

bool workers_init(size_t worker_count);
void workers_deinit(void);
void workers_add_job(void);
/* for targets lacking threading support main thread could do the work */
void workers_poll(void);

#endif
